Bug 77021 - FILESAVE: Print range not saved when spreadsheet is linked with another spreadsheet on at least 1 tab
Summary: FILESAVE: Print range not saved when spreadsheet is linked with another sprea...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Print-Range
  Show dependency treegraph
 
Reported: 2014-04-03 17:58 UTC by sviatoslav
Modified: 2018-02-03 13:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Zip file containing 2 sample documents on which the issue is demonstrated (144.25 KB, application/zip)
2014-04-03 17:58 UTC, sviatoslav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sviatoslav 2014-04-03 17:58:37 UTC
Created attachment 96865 [details]
Zip file containing 2 sample documents on which the issue is demonstrated

Problem description: 
Print range defined in 1 tab is not saved of file save.

Steps to reproduce:
1. Download attached zip file and extract the 2 files into the same folder.

2. Open FS.ods

3. Say "Yes" to update links (there should not be any errors)

4. Go to tab "IS"

5. Select range A1:D33

6. Click Format >> Print Ranges >> Define

7. Save the file and exit the application

8. Re-open FS.ods and go to tab "IS"

9. Click File >> Page Preview

Current behavior:
The preview page shows nothing because the ranges was not saved (or so it appears). Also, actually printing this tab does not print anything (nothing is sent to printer). Tab "BS" however, seemed to have worked when I first tried it, so this is only visible on tab "IS". Breaking the link and then defining the range and saving works perfectly, so it must be related to the sheet being linked to another sheet.

Expected behavior:
The defined range in step 6 above should have been saved and when the file re-opened, it should have been defined and page preview should show the content of the range.
              
Operating System: Windows 7
Version: 4.2.2.1 release
Comment 1 Dominique Boutry 2014-04-08 09:28:36 UTC
Reproduced on new Calc documents (same LibO version and OS).
Comment 2 HT 2015-01-13 01:18:51 UTC
Most likely this is a duplicate of bug 51022.
It's been more than 2 years since the bug was reported, but no action taken thus far.

Only the last sheet is affected.
As a work-around, you can insert a blank sheet to the end.
Comment 3 QA Administrators 2016-01-17 20:02:52 UTC Comment hidden (obsolete)
Comment 4 sviatoslav 2016-03-01 23:46:18 UTC
This bug is still reproducible on LibreOffice Calc 5.1.0.3 (release)
Comment 5 QA Administrators 2017-03-06 15:17:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306